Description

Cuando se le asigna al JNumberSpinner maximo y minimo Doubles o se le asigna el step (incremento) con decimales no deja
cambiar el valor desde el interface de usuario, por ejemplo pulsando las flechitas.

Ahora mismo esta parcheado y combierte a enteros los valores de maximo, minimo y step para que funcione algo.
El parche esta aplicado en la clase JNumberSpinner en el metodo "init", hay puesto un comentario.

Se puede apreciar el error en:

    -  Herramientas->Simbolos->Explorar simbolos
    -  Seleccionar pestaña marcador
    -  Seleccionar gvSIG basic
    -  Seleccionar cualquiera, el primero por ejemplo "airfield" 
    -  Pulsar el boton de propiedades
    -  El valor "ancho" tiene asignado un incremento de 0.5, si se elimina el parche que lo redondea a 1 en el JNumberSpinner deja de
ir ese campo.

No tengo ni idea de por que no funciona con valores decimales el JSpinner.

Associated revisions
Revision 42070 - 03/04/2015 03:51 PM - Francisco Díaz Carsí

refs #3238 Arreglado para doubles

Revision 42079 - 03/10/2015 12:30 PM - Francisco Díaz Carsí

refs #3238 
- Marcados como obsoletos los constructores de JNumberSpinner con String como value
- Sustituídos dichos constructores por el adecuado allí donde se utilizaban
- Añadido un valor para las columnas por defecto. Si se construía un JNumberSpinner sin inicializarle las columnas era inmensamente grande

History
#1 - 03/04/2015 03:59 PM - Francisco Díaz Carsí
Lo he arreglado para que funcione con doubles, construyendo el modelo con los valores que le llegan al constructor.
He creado un método init simplificado solo para columnas y decimales.
He modificado también los constructores con int del mismo modo llamando al nuevo método init.

He mantenido el init viejo con tu parche para que pueda ser utilizado en los constructores con String.
No pongo a fixed el ticket porque quedarían estos para darlo por arreglado.

#2 - 03/10/2015 09:57 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2303  (rev. org.gvsig.desktop-2.0.90)
- Assignee set to Francisco Díaz Carsí

Paco, repasa en tu workspace lo usos del constructor con String y veas de sustituirlo por el constructor con entero o double y pon como deprecated el
constructor con string.

#3 - 03/10/2015 12:30 PM - Francisco Díaz Carsí
- Target version changed from 2.2.0-2303  (rev. org.gvsig.desktop-2.0.90) to 2.2.0-2311-rc2
- Assignee deleted (Francisco Díaz Carsí)
- Status changed from New to Fixed

Hecho.

#4 - 03/10/2015 08:14 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2303  (rev. org.gvsig.desktop-2.0.90)

#5 - 04/07/2015 12:01 PM - Álvaro Anguix
- Status changed from Fixed to Closed
